# My Neovim Config
## Intro
Neovim, the popular fork of the original Vim, has been my main text editor for a few months. Over this time, I've made
lots of changes to the config. The goal of this repository is to be an advanced config that's still very much readable.
I've commented as much as I can, and I try to explain as many vague/difficult settings as possible.

## Goals
When I started to config my Neovim, I had a few goals in mind:
- Only use key bindings that use buttons available on any keyboard:
    - letter keys
    - spacebar
    - backspace
- Make the config work the same on QWERTY and AZERTY (French keyboard layout)
- Leave the homerow as little as possible (no uncomfortable stretching)
- Make it ready for any language that I need to write for college and/or personal projects.

## Design
I like to split my configs up into multiple files, as you can see in this repository. It makes it easier for me to
navigate, and it makes it so I don't just have a file that's a thousand lines long. 
