" The leader key is the main modifier used for keybindings.
" You can use it inside keybindings by using <leader>
" I use space as my leader key
let g:mapleader = ' '
" Local leader is the same principle as leader, but it's used
" for keybindings that are local to the current buffer, to
" avoid confusion
" I use tab as my local leader
let g:maplocalleader = "\<tab>"

" This sources all the files inside the init directory
" The directory must be in your runtimepath; my init directory
" is inside my ~/.config/nvim directory, this one is always in
" runtimepath
" Without the !, runtime only sources the first file in the list,
" instead of all
runtime! init/*.vim
